# studio::IconController Class Reference

`#include <iconcontroller.h>`

Inheritance diagram for studio::IconController:

List of all members.

## Public Member Functions

| IconController (const synfig::String &basepath)
| ~IconController ()

## Static Public Member Functions

static Gdk::Cursor | get_normal_cursor ()
static Gdk::Cursor | get_tool_cursor (const Glib::ustring &name, const Glib::RefPtr< Gdk::Window > &window)

## Constructor & Destructor Documentation

IconController::IconController | ( | const synfig::String & | basepath | ) |

References _, _tree_pixbuf_table_value_type, synfigapp::Action::create(), IMAGE_DIR, IMAGE_EXT, INIT_STOCK_ICON, INIT_STOCK_ICON_CLONE, and studio::value_icon().

IconController::~IconController | ( |  | ) |

References _tree_pixbuf_table_value_type.

## Member Function Documentation

Gdk::Cursor IconController::get_normal_cursor | ( |  | ) | `[static]`

Gdk::Cursor IconController::get_tool_cursor | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Gdk::Window > & | window |
| ) |  |  | `[static]`

References synfigapp::Action::create().

The documentation for this class was generated from the following files:

- iconcontroller.h
- iconcontroller.cpp